@import url('https://fonts.googleapis.com/css2?family=Fira+Code:wght@300..700&display=swap');

/* Custom gradient background for the page */
body {

    fira-code-font {
        font-family: "Fira Code", serif;
    }

    background: linear-gradient(135deg, #4307b5, #8a03b5);
    margin: 100px 0;
    /* 100px margin top and bottom */
    min-height: calc(100vh - 200px);
    /* Adjust height to account for margin */
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: auto;
    /* Allow scrolling if content overflows */
}

/* Gradient button */
.gradient-button {
    background: linear-gradient(135deg, #4307b5, #8a03b5);
    color: white;
}

.gradient-button:hover {
    background: linear-gradient(135deg, #8a03b5, #4307b5);
}

/* Unique color for result text */
.unique-color {
    color: #6543b5;
    /* A unique color derived from #4307b5 and #8a03b5 */
}